/**
 * main.js
 *
 * Bootstraps Vuetify and other plugins then mounts the App`
 */

// Plugins
import { registerPlugins } from '@/plugins'

// Components
import App from './App.vue'
import ApiImplementation from './services/api-implementation';

// Composables
import { createApp } from 'vue'

process.env.API_IMPLEMENTATION = 'django';
let apiImplementation = new ApiImplementation();
const api = apiImplementation.getApi();

const app = createApp(App);
app.provide('api', api);

registerPlugins(app)

app.mount('#app')
