import DjangoApi from './django-api';
import Api from './api';

class ApiImplementation {
  constructor() {
    const implementation = process.env.API_IMPLEMENTATION;
    let apiImplementation;
    if (implementation === 'django') {
      apiImplementation = new DjangoApi();
    } else {
      throw new Error("API implementation don't configured");
    }
    this.api = new Api(apiImplementation);
  }

  getApi() {
    return this.api;
  }
}

export default ApiImplementation;
